import { ValidatorFn } from "./models";
export declare const isValidEmail: ValidatorFn;
export declare const min: (minValue: number) => ValidatorFn;
export declare const max: (maxValue: number) => ValidatorFn;
export declare const validateStrongPassword: ValidatorFn;
export declare const required: ValidatorFn;
export declare const equalTo: (compareValue: string | number) => ValidatorFn;
export declare const isNumber: ValidatorFn;
export declare const isBoolean: ValidatorFn;
export declare const isString: ValidatorFn;
export declare const pattern: (regex: RegExp) => ValidatorFn;
export declare const optional: (validator: ValidatorFn) => ValidatorFn;
export declare const isTrue: ValidatorFn;
export declare const isFalse: ValidatorFn;
export declare const isImage: ValidatorFn;
export declare const minimunQuantity: (minValue: number) => ValidatorFn;
export declare const maximumQuantity: (maxValue: number) => ValidatorFn;
export declare const isValidUrl: ValidatorFn;
export declare const isValidPhoneNumber: ValidatorFn;
